
## Fonctionnement du moteur de recherche des tiers:

Le moteur de recherche des tiers dans "add person" permet d'effectuer des recherches sur les noms des tiers, les acronymes, et leur service. Il classe également les plus pertinent, en tenant compte éventuellement du nom de la localité du tiers, s'il possède une adresse.

Le moteur sélectionne d'abord les tiers sur base du nom, de l'acronyme ou du nom du service. Lorsqu'une recherche comporte plusieurs mots (séparés par un ou plusieurs espaces), il sélectionne les tiers dont le nom, l'acronyme ou le nom du service contient un de ces mots seulement.

Le moteur affiche les résultats les plus pertinents en premier. Il classe en premier les tiers dont le mot recherché correspond à un des mots du nom, de l'acronyme, ou du nom du service, **ou de la localité du tiers**. Cela permet donc de présenter en premier les tiers dans une localité particulière.

Ainsi, si une recherche est effectuée avec les termes `ADMR roche`, tous les résultats dont l'acronyme est ADMR sont renvoyés. Cependant, les tiers dont la localité est La-Roche-Sur-Yon seront considérés plus pertinents (ils disposeront de deux mots qui correspondent (`admr` et `roche`) plutôt qu'un seul); ils seront donc présentés en premier.

